I have Lightroom 3.6 and it does not recognize the raw images from my Canon 7d mark II, suggestions?

11-30  Source: Network gathering  Views:0 

Advertisement
I have Lightroom 3.6 and it does not recognize the raw images from my canon 7d mark II, suggestions, do I need to upgrade?
Yes, you need an upgrade for native support in Lightroom. You need version 5.70 or higher; current version is 5.71.
Alternatively, you could use the most recent DNG converter and convert the raw files to DNG files before importing into Lightroom.
Related articles